#!/usr/bin/env node

/**
 * Example client
 */
'use strict'

const co = require('co')
const apemanApiClient = require('apeman-api-client')

co(function * () {
  // Setup an client
  let api = yield apemanApiClient('/api')

  // Connect to a module
  let store01 = yield api.connect('store01')
  let pong = yield store01.ping()
  /* ... */
  // Save values
  yield store01.set('foo', 'bar')
  // Get all keys
  let keys = yield store01.keys()
  console.log(keys)
  // Get value by key
  let foo = yield store01.get('foo')
  // Get all values
  let data = yield store01.all()
  // Delete a value
  yield store01.del('foo')
})

